| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy Class Reference
Inheritance diagram for GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy:
[legend]
Collaboration diagram for GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy:
[legend]

## Public Member Functions
def | __init__ (self, descr, docString, default)
def | checkType (self, obj, value)
def | convertDefaultToBeSet (self, obj, default)
def | convertValueToBeSet (self, obj, value)
Public Member Functions inherited from GaudiKernel.PropertyProxy.GaudiHandlePropertyProxyBase
def | __init__ (self, descr, docString, default, handleType, allowedType)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)
def | isHandle (self, value)
def | isConfig (self, value)
def | getDefaultConfigurable (self, typeAndName, requester)
def | convertDefaultToBeSet (self, obj, default)
def | convertValueToBeSet (self, obj, value)
Public Member Functions inherited from GaudiKernel.PropertyProxy.PropertyProxy
def | __init__ (self, descr, docString=None, default=None)
def | setDefault (self, value)
def | getDefault (self)
def | fullPropertyName (self, obj)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)
def | __delete__ (self, obj)

## Public Attributes
| arrayType
Public Attributes inherited from GaudiKernel.PropertyProxy.PropertyProxy
| history
| descr

## Additional Inherited Members
Properties inherited from GaudiKernel.PropertyProxy.PropertyProxy
| default = property( getDefault, setDefault )

## Detailed Description

Definition at line 312 of file PropertyProxy.py.

## Constructor & Destructor Documentation

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.__init__ | ( |  | self,
|  |  | descr,
|  |  | docString,
|  |  | default
| ) |  |

    <descr>: the real property in the object instance (from __slots__)
    <confTypeName>: string indicating the (base) class of allowed Configurables to be assigned.
    <handleType>: real python handle type (e.g. PublicToolHandle, PrivateToolHandle, ...)

Definition at line 313 of file PropertyProxy.py.

313 def __init__( self, descr, docString, default ):
314 """<descr>: the real property in the object instance (from __slots__)
315 <confTypeName>: string indicating the (base) class of allowed Configurables to be assigned.
316 <handleType>: real python handle type (e.g. PublicToolHandle, PrivateToolHandle, ...)
317 """
318 GaudiHandlePropertyProxyBase.__init__( self, descr, docString, default, type(default).handleType, GaudiHandleArray )
319 self.arrayType = type(default)
320
321
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:319
gaudirun.type
type
Definition: gaudirun.py:125
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.__init__
def __init__(self, descr, docString, default)
Definition: PropertyProxy.py:313

## Member Function Documentation

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 322 of file PropertyProxy.py.

322 def checkType( self, obj, value ):
323 if not isinstance( value, list ) and not isinstance( value, self.arrayType ):
324 raise TypeError( "%s: Value %r is not a list nor a %s" % \
325 ( self.fullPropertyName(obj), value, self.arrayType.__name__ ) )
326
327
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:319
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType
def checkType(self, obj, value)
Definition: PropertyProxy.py:322
GaudiKernel.PropertyProxy.PropertyProxy.fullPropertyName
def fullPropertyName(self, obj)
Definition: PropertyProxy.py:80

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertDefaultToBeSet | ( |  | self,
|  |  | obj,
|  |  | default
| ) |  |

Definition at line 328 of file PropertyProxy.py.

328 def convertDefaultToBeSet( self, obj, default ):
329 self.checkType( obj, default )
330 newDefault = self.arrayType()
331 for d in default:
332 cd = GaudiHandlePropertyProxyBase.convertDefaultToBeSet( self, obj, d )
333 if cd: newDefault.append( cd )
334
335 return newDefault
336
337
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:319
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertDefaultToBeSet
def convertDefaultToBeSet(self, obj, default)
Definition: PropertyProxy.py:328
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType
def checkType(self, obj, value)
Definition: PropertyProxy.py:322

def GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertValueToBeSet | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 338 of file PropertyProxy.py.

338 def convertValueToBeSet( self, obj, value ):
339 self.checkType( obj, value )
340 newValue = self.arrayType()
341 for v in value:
342 cv = GaudiHandlePropertyProxyBase.convertValueToBeSet( self, obj, v )
343 if cv: newValue.append( cv )
344
345 return newValue
346
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType
arrayType
Definition: PropertyProxy.py:319
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.checkType
def checkType(self, obj, value)
Definition: PropertyProxy.py:322
GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.convertValueToBeSet
def convertValueToBeSet(self, obj, value)
Definition: PropertyProxy.py:338

## Member Data Documentation

GaudiKernel.PropertyProxy.GaudiHandleArrayPropertyProxy.arrayType

Definition at line 319 of file PropertyProxy.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/PropertyProxy.py